> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an onramp rate

> Onramp rates are estimated rates for onramp conversions from different fiat currencies into different cryptocurrencies.




## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/onramps/rates
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/onramps/rates:
    get:
      tags:
        - Onramp
      summary: Retrieve an onramp rate
      description: >
        Onramp rates are estimated rates for onramp conversions from different
        fiat currencies into different cryptocurrencies.
      parameters:
        - $ref: '#/components/parameters/FromFiatCurrencyParameter'
        - $ref: '#/components/parameters/ToCryptoCurrencyParameter'
      responses:
        '200':
          $ref: '#/components/responses/FiatToCryptoConversionRateResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    FromFiatCurrencyParameter:
      name: fromCurrency
      in: query
      schema:
        type: string
        enum:
          - usd
          - ugx
          - ngn
          - bwp
          - tzs
          - mwk
          - xaf
          - kes
      required: true
    ToCryptoCurrencyParameter:
      name: toCurrency
      in: query
      schema:
        type: string
        enum:
          - usdc
      required: true
  responses:
    FiatToCryptoConversionRateResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FiatToCryptoConversionRateObject'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    FiatToCryptoConversionRateObject:
      type: object
      properties:
        fromCurrency:
          type: string
          enum:
            - usd
            - ugx
            - ngn
            - bwp
            - tzs
            - mwk
            - xaf
            - kes
          description: source currency
        toCurrency:
          type: string
          enum:
            - usdc
          description: target currency
        conversionRate:
          type: string
        conversionRates:
          type: array
          items:
            type: object
            properties:
              transferType:
                type: string
                description: >-
                  when `transferType` is `default`, this is the conversion rate
                  for the default transfer type
              conversionRate:
                type: string
      example:
        fromCurrency: usd
        toCurrency: usdc
        conversionRate: '1'
        conversionRates:
          - transferType: default
            conversionRate: '1'
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````